import tip from './extension-note/tip'
import example from './extension-note/example'
import warning from './extension-note/warning'
import note from './extension-note/note'
import layout from './extension-layout'
import column from './extension-column'
import mention from './extension-mention'
import drawio from './extension-drawio'
import minimap from './extension-mindmap'

import type { RendererOption } from '../../type'

export default (options:RendererOption) => {
    return {
        tip,
        example,
        warning,
        note,
        layout,
        column,
        mention,
        drawio,
        minimap
    }
}